Complexity:
Subject: Add validateProperty() to the Validator interface
Description

Add validateProperty($object, $propertyName) to the Validator interface.

And while you're there you could rename the $subject argument to $object in validate();

Associated revisions
Revision cf097610 - 2008-04-16 17:36 - Andreas Förthner

This is all work in progress, but a big part of the Validation/Property Package is already finished:

    -  Implemented the basic Validation Framework. This fixes #65, #67, #68, #70
    -  Implemented some base validators. This fixes #71
    -  Implemented a basic Framwework for PropertyEditors

History
#1 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)
